package com.sagacloud.dto;

/**
 * 控制指令参数
 *
 */
public class OrderSetDTO {
	// 项目id，不包含前缀Pj
	private String project;
	// 表号
	private String meter;
	// 功能号
	private String funcId;
	// 设定值
	private Object value;
	
	public OrderSetDTO(String project, String meter, String funcId, Object value) {
		super();
		this.project = project;
		this.meter = meter;
		this.funcId = funcId;
		this.value = value;
	}
	public String getProject() {
		return project;
	}
	public void setProject(String project) {
		this.project = project;
	}
	public String getMeter() {
		return meter;
	}
	public void setMeter(String meter) {
		this.meter = meter;
	}
	public String getFuncId() {
		return funcId;
	}
	public void setFuncId(String funcId) {
		this.funcId = funcId;
	}
	public Object getValue() {
		return value;
	}
	public void setValue(Object value) {
		this.value = value;
	}
	@Override
	public String toString() {
		return "OrderSetDTO [project=" + project + ", meter=" + meter + ", funcId=" + funcId + ", value=" + value + "]";
	}
	
}
